Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6804 - smbmount can't mount shares containing shell-quoted characters
Summary: smbmount can't mount shares containing shell-quoted characters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-07 20:47 UTC by histed
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-11 21:06:39 UTC


Attachments (Terms of Use)

Description histed 1999-11-07 20:47:43 UTC
It seems that there is no way to mount shares whose names
contain characters that need to be quoted by the shell.

smbmount "//smbserver/sharename with funny chars(likethis)"
mountpoint

you get an error from the shell pointing out that it doesn't
like the invalid characters when it passes the arguments to
smbmnt.  Double escaping those characters also doesn't work,
as smbmount give you an error if you use something like
smbmount "//server/share\ name".

Comment 1 Bill Nottingham 1999-11-11 21:06:59 UTC
should be fixed in samba-2.0.6-1, in the next Raw Hide release.should be fixed in samba-2.0.6-1, in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.